# VZ Image Compare (C) 2020 Stephane Charette <stephanecharette@gmail.com>
# MIT license applies.  See "license.txt" for details.
# $Id: CM_version.cmake 2963 2020-05-02 15:41:34Z stephane $


EXECUTE_PROCESS (
	COMMAND svnversion
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	OUTPUT_VARIABLE VZIC_VER_SVN
	OUTPUT_STRIP_TRAILING_WHITESPACE )

IF ( NOT VZIC_VER_SVN MATCHES "[0-9]+.*" )
	# Maybe building from tarball without having done a svn checkout?  Use a fake version number
	SET ( VZIC_VER_SVN 1 )
	MESSAGE ( "exact version number is unavailable (building from source tarball?)" )
ENDIF ()

SET ( VZIC_VER_MAJOR 1 )
SET ( VZIC_VER_MINOR 0 )
SET ( VZIC_VER_PATCH 0-${VZIC_VER_SVN} )
SET ( VZIC_VERSION ${VZIC_VER_MAJOR}.${VZIC_VER_MINOR}.${VZIC_VER_PATCH} )
MESSAGE ( "Building ver: ${VZIC_VERSION}" )

ADD_DEFINITIONS ( -DVZIC_VERSION="${VZIC_VERSION}" )
